Package org.eclipse.net4j.util.om.pref

# Interface OMPreference<T>

public interface OMPreference<T>

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`OMPreference.Participant`
`static enum`
`OMPreference.Type`

## Method Summary

Modifier and Type
Method
Description
`T`
`getDefaultValue()`
`String`
`getName()`
`OMPreferences`
`getPreferences()`
`OMPreference.Type`
`getType()`
`T`
`getValue()`
`boolean`
`isSet()`
`T`
`setValue(T value)`
`T`
`unSet()`

## Method Details

### getPreferences

OMPreferences getPreferences()

### getName

String getName()

### getType

OMPreference.Type getType()

### getDefaultValue

T getDefaultValue()

### getValue

T getValue()

### setValue

T setValue(T value)

### unSet

T unSet()

### isSet

boolean isSet()